ResourceBundle::getErrorMessage
ResourceBundle::getLocales
ResourceBundle
PHP Manual

# ResourceBundle::get

# resourcebundle_get

(PHP >= 5.3.2, PECL intl >= 2.0.0)

ResourceBundle::get -- resourcebundle_get — Get data from the bundle

### Description

Object oriented style

public mixed ResourceBundle::get ( string|int `$index` )

Procedural style

mixed resourcebundle_get ( ResourceBundle `$r` , string|int `$index` )

Get the data from the bundle by index or string key.

### Parameters

`r`

  ResourceBundle object.

`index`

  Data index, must be string or integer.

### Return Values

Returns the data located at the index or `NULL` on error. Strings, integers and binary data strings are returned as corresponding PHP types, integer array is returned as PHP array. Complex types are returned as ResourceBundle object.

### Examples

Example #1 resourcebundle_get() example

`<?php
$r = resourcebundle_create( 'es', "/usr/share/data/myapp");
echo resourcebundle_get($r, 'somestring');
?>`

Example #2 OO example

`<?php
$r = new ResourceBundle( 'es', "/usr/share/data/myapp");
echo $r->get('somestring');
?>`

The above example will output:

    ?Hola, mundo!

### See Also

- resourcebundle_count() - Get number of elements in the bundle

ResourceBundle::getErrorMessage
ResourceBundle::getLocales
ResourceBundle
PHP Manual